From 7ca6e4c47656d0e3fe5984f9e67aa51f1d22c73c Mon Sep 17 00:00:00 2001
From: Melanie Plageman <melanieplageman@gmail.com>
Date: Fri, 31 Mar 2023 09:50:45 -0400
Subject: [PATCH v6] more adjustments

---
 doc/src/sgml/glossary.sgml | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index eb837d4622..8bf5e2b92d 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -256,26 +256,26 @@
    <glossterm>Buffer Access Strategy</glossterm>
    <glossdef>
     <para>
-     Some operations will access a large number of
-     <glossterm linkend="glossary-data-page">pages</glossterm>.  A
-     <firstterm>Buffer Access Strategy</firstterm> helps to prevent these
-     these operations from evicting too many pages from
-     <glossterm linkend="glossary-shared-memory">shared buffers</glossterm>.
+     Some operations will access a large number of <glossterm
+     linkend="glossary-data-page">pages</glossterm>.  A <firstterm>Buffer
+     Access Strategy</firstterm> helps to prevent these operations from
+     evicting too many pages from <glossterm
+     linkend="glossary-shared-memory">shared buffers</glossterm>.
     </para>
     <para>
      A Buffer Access Strategy sets up references to a limited number of
-     <glossterm linkend="glossary-shared-memory">shared buffers</glossterm>
-     and reuses them circularly.  When the operation requires a new page, a
-     victim buffer is chosen from the buffers in the strategy, which may
-     require dirty buffers and possibly also require
-     <glossterm linkend="glossary-wal">WAL</glossterm> to be flushed to disk.
-     </para>
-     <para>
-     Buffer Access Strategies are used for various operations such as;
+     <glossterm linkend="glossary-shared-memory">shared buffers</glossterm> and
+     reuses them circularly.  When the operation requires a new page, a victim
+     buffer is chosen from the buffers in the strategy ring, which may require
+     flushing the page's dirty data and possibly also associated <glossterm
+     linkend="glossary-wal">WAL</glossterm> to permanent storage.
+    </para>
+    <para>
+     Buffer Access Strategies are used for various operations such as:
      sequential scans of large tables, <command>VACUUM</command>,
-     <command>COPY</command>, <command>CREATE TABLE AS SELECT</command>,
+     <command>COPY</command>, <command>CREATE TABLE AS SELECT</command> (CTAS),
      <command>ALTER TABLE</command>, <command>CREATE DATABASE</command>,
-     <command>CREATE INDEX</command>, and <command>CLUSTER</cluster>.
+     <command>CREATE INDEX</command>, and <command>CLUSTER</command>.
     </para>
    </glossdef>
   </glossentry>
-- 
2.37.2

